Changing locale/region fails with a 403

RESOLVED WORKSFORME

Status

Marketplace
Consumer Pages
P1
normal
RESOLVED WORKSFORME
5 years ago
5 years ago

People

(Reporter: krupa, Assigned: cvan)

Tracking

2013-02-28
Points:
---

Details

(Whiteboard: [mwc])

(Reporter)

Description

5 years ago
steps to reproduce:
1. Launch marketplace-dev app on your unagi phone
2. Tester is not logged in
3. Click on Settings icon
4. Change your locale/region and save changes

expected behavior:
changes are saved.

observed behavior:
Error message - "A server error has occurred" is shown. Form submission fails with a 403

Duration:        0.288 4866c6b0       (marketplace-dev.allizom.org -> POST /telefonica/settings)
http response [
HTTP/1.1 403 FORBIDDEN
Server: gunicorn/0.15.0
Vary: X-Requested-With, Accept-Language, Cookie, X-Mobile, User-Agent, Accept-Encoding
Cache-Control: no-cache
Content-Type: text/html; charset=utf-8
Content-Encoding: gzip
Strict-Transport-Security: max-age=2592000
Date: Wed, 20 Feb 2013 20:34:58 GMT
Transfer-Encoding: chunked
x-content-security-policy-report-only: policy-uri /services/csp/policy?build=7474
Via: Moz-pp-zlb09
Connection: keep-alive
Set-Cookie: multidb_pin_writes=y; expires=Wed, 20-Feb-2013 20:35:13 GMT; Max-Age=15; Path=/
x-frame-options: DENY
I/PRLog   (  108): 2013-02-20 20:34:57.163477 UTC - 23302096[40404470]: ]
(Assignee)

Updated

5 years ago
Assignee: nobody → cvan
Priority: -- → P1
(Assignee)

Updated

5 years ago
Whiteboard: [mwc]
(Reporter)

Comment 1

5 years ago
can't reproduce this anymore
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.